final def workDir = new File('.').canonicalFile
final def props = new Properties();
final def inputPropsFile = new File(args[0]);
try {
    inputPropsStream = new FileInputStream(inputPropsFile);
    props.load(inputPropsStream);
}
catch (IOException e) {
    throw new RuntimeException(e);
}

def source = props['source'];
def jbossdeploydir = props['jbossdeploydir'];

def ant = new AntBuilder();
File src = new File(source);

try {
    if (!src.exists()) {
        System.out.println("Source file/direcotry does not exist!");
        System.exit(1);
    }
    if (src.isFile()) {
        ant.copy(
                 todir:jbossdeploydir,
                 file:source
        )
    }
    else {
        def sourceName = src.getName();
        ant.copy(todir:"${jbossdeploydir}/${sourceName}") {
            fileset(dir:source)
        }
    }
}
catch (Exception e) {
    System.out.println("Error deploying!");
    e.printStackTrace();
    System.exit(1);
}
