final def workDir = new File('.').canonicalFile
final def props = new Properties();
final def inputPropsFile = new File(args[0]);
try {
    inputPropsStream = new FileInputStream(inputPropsFile);
    props.load(inputPropsStream);
}
catch (IOException e) {
    throw new RuntimeException(e);
}

def source = props['source'];
def jbossdeploydir = props['jbossdeploydir'];

if (source == null || source.length() == 0) {
    System.out.println("Source file property was empty.");
    System.exit(1);
}

def ant = new AntBuilder();
File jbossdeploy = new File(jbossdeploydir);
if (!jbossdeploy.isDirectory()) {
     System.out.println("JBoss deploy directory is not a directory!");
     System.exit(1);
}

System.out.println("Undeploying from "+jbossdeploy.getAbsolutePath())

try {
    def directoryMatches = ant.fileset(
        dir: jbossdeploydir,
        defaultexcludes: false,
        includes: source+'/**'
    )
    
    if (directoryMatches.size() == 0) {
        System.out.println("No files matching '"+source+"' to undeploy.")
        System.exit(1)
    }

    ant.delete(verbose: true, includeemptydirs: true) {
        ant.fileset(
            dir: jbossdeploydir,
            defaultexcludes: false,
            includes: source+'/**'
        )
    }
}
catch (Exception e) {
    System.out.println("Error deploying!");
    e.printStackTrace();
    System.exit(1);
}
